"use strict";

const combinator = require("@validatem/combinator");

module.exports = function withContext(rules, context) {
	return combinator((item, applyValidators, parentContext) => {
		let mergedContext = Object.assign({}, parentContext, context);
		
		return applyValidators(item, rules, mergedContext);
	});
};
